Forge Home

cd4pe

Module for CD4PE

91,359 downloads

550 latest version

4.7 quality score

We run a couple of automated
scans to help you access a
module's quality. Each module is
given a score based on how well
the author has formatted their
code and documentation and
modules are also checked for
malware using VirusTotal.

Please note, the information below
is for guidance only and neither of
these methods should be considered
an endorsement by Puppet.

Version information

  • 3.2.5 (latest)
  • 3.2.4
  • 3.2.3
  • 3.2.2
  • 3.2.1
  • 3.2.0
  • 3.1.0
  • 3.0.2
  • 3.0.1
  • 3.0.0
  • 2.0.2
  • 2.0.1
  • 2.0.0
  • 1.4.1
  • 1.4.0
  • 1.3.0
  • 1.2.3
  • 1.2.2
  • 1.2.1
  • 1.2.0
  • 1.1.3
  • 1.1.2
  • 1.1.1
  • 1.1.0
  • 1.0.4
  • 1.0.3
  • 1.0.2
  • 1.0.1
  • 1.0.0
released Sep 15th 2022
This version is compatible with:
  • Puppet Enterprise 2019.8.x, 2019.7.x, 2019.5.x, 2019.4.x, 2019.3.x, 2019.2.x, 2019.1.x, 2019.0.x, 2018.1.x, 2017.3.x, 2017.2.x, 2016.4.x
  • Puppet >= 4.10.0 < 7.0.0
  • , ,
Tasks:
  • add_deployment_to_stage
  • add_job_to_stage
  • add_oauth_integration
  • add_pr_gate_to_stage
  • add_repo
  • add_vcs_integration
  • create_pipeline
  • and 4 more. See all tasks

Start using this module

  • r10k or Code Manager
  • Bolt
  • Manual installation
  • Direct download

Add this module to your Puppetfile:

mod 'puppetlabs-cd4pe', '3.2.5'
Learn more about managing modules with a Puppetfile

Add this module to your Bolt project:

bolt module add puppetlabs-cd4pe
Learn more about using this module with an existing project

Manually install this module globally with Puppet module tool:

puppet module install puppetlabs-cd4pe --version 3.2.5

Direct download is not typically how you would use a Puppet module to manage your infrastructure, but you may want to download the module in order to inspect the code.

Download

Documentation

puppetlabs/cd4pe — version 3.2.5 Sep 15th 2022

puppetlabs-cd4pe

This module is for use with Puppet's Continuous Delivery for Puppet Enterprise. Documentation is at https://puppet.com/docs/continuous-delivery/latest/cd_user_guide.html

Use version <=2.0.1 of this module to rapidly install and configure Continuous Delivery for PE version < 4.0.0. For instructions, see https://puppet.com/docs/continuous-delivery/latest/install_module.html.

Version 3.0.0 and later of this module is still used to configure Impact Analysis permissions on your PE master but no longer supports installation via Docker.